<div>
  <h2>Agregar Vehículo</h2>
  <div *ngIf="mensajeVisible">
    {{ mensaje }} <button (click)="mensajeVisible=false">X</button>
  </div>
  <div>
    <table>
      <tr>
        <td>Placas:</td>
        <td><input type="text" [(ngModel)]="nuevoVehiculo.placas"></td>
      </tr>
      <tr>
        <td>Marca:</td>
        <td><input type="text" [(ngModel)]="nuevoVehiculo.marca"></td>
      </tr>
      <tr>
        <td>Modelo:</td>
        <td><input type="text" [(ngModel)]="nuevoVehiculo.modelo"></td>
      </tr>
      <tr>
        <td>Color:</td>
        <td><input type="text" [(ngModel)]="nuevoVehiculo.color"></td>
      </tr>
      <tr>
        <td>Cliente:</td>
        <td><select [(ngModel)]="idClienteSeleccionado" *ngIf="!modoEdicion">
          <option value="-1">Seleccionar cliente</option>
          <option
            *ngFor="let cl of listaClientes"
            [ngValue]="cl.clienteId">
              {{cl.nombre}}
          </option>
        </select>
        <div *ngIf="modoEdicion">{{ nuevoVehiculo.cliente?.nombre }}</div>
      </td>
      </tr>
      <tr>
        <td></td>
        <td><button (click)="guardarVehiculo()">Agregar</button></td>
      </tr>
    </table>
  </div>
</div>
